Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::Allocation Class Reference

A GtkAllocation C++ wrapper class. More...

`#include <inti/gtk/widget.h>`

Inheritance diagram for Inti::Gtk::Allocation:

List of all members.

## Public Member Functions

Constructors

- Allocation ()
    Construct an empty allocation.
- Allocation (int x, int y, int width, int height)
    Construct an allocation with the specified position an size.

Accessors

- GtkAllocation * gtk_allocation () const
    Get a pointer to the GtkAllocation structure (GtkAllocation is a typedef for GdkRectangle).

## Detailed Description

A GtkAllocation C++ wrapper class.

Allocation holds the position and size allocated to a widget. It derives publicly from Gdk::Rectangle, which derives publicly from GdkRectangle. Allocation uses default copy, assignment and destruction and allows public access to GdkRectangle's x, y, width and height fields.

## Constructor & Destructor Documentation

Inti::Gtk::Allocation::Allocation | ( | int | x,
|  | int | y,
|  | int | width,
|  | int | height
| ) |

  | Construct an allocation with the specified position an size. Parameters:
  x | The X coordinate.
  y | The Y coordinate.
  width | The width of the allocation.
  height | The height of the allocation.

The documentation for this class was generated from the following file:

- widget.h

Main Page - Footer